import 'package:dio/dio.dart';
import 'package:get_it/get_it.dart';
import 'package:syncrow_app/services/api/http_interceptor.dart';
import 'package:syncrow_app/services/api/http_service.dart';

final GetIt serviceLocator = GetIt.instance;
// setupLocator() // to search for dependency injection in flutter
initialSetup() {
  serviceLocator.registerSingleton<HTTPInterceptor>(HTTPInterceptor());
  //Base classes
  serviceLocator.registerSingleton<Dio>(HTTPService.setupDioClient());
}
